const express = require('express');
const router = express.Router();

// Import controllers
const {
  getHotelList,
  getHotelsByIdsHandler,
  getHotelsByGeoCodeHandler,
} = require('../controllers/hotelListController');

// GET /hotels/v1/reference-data/locations/hotels/by-city
router.get('/v1/reference-data/locations/hotels/by-city', getHotelList);

// GET /hotels/v1/reference-data/locations/hotels/by-hotels
router.get('/v1/reference-data/locations/hotels/by-hotels', getHotelsByIdsHandler);

// GET /hotels/v1/reference-data/locations/hotels/by-geocode
router.get('/v1/reference-data/locations/hotels/by-geocode', getHotelsByGeoCodeHandler);

module.exports = router;
